Migrate Card Views
curl --request POST \
--url https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}/views/migrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowDuplicateAppCardIds": true,
"appCardId": 123,
"legacyCrmCardId": 123,
"helpdeskAppCardId": 123
}
'import requests
url = "https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}/views/migrate"
payload = {
"allowDuplicateAppCardIds": True,
"appCardId": 123,
"legacyCrmCardId": 123,
"helpdeskAppCardId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowDuplicateAppCardIds: true,
appCardId: 123,
legacyCrmCardId: 123,
helpdeskAppCardId: 123
})
};
fetch('https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}/views/migrate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"endedAt": 123,
"remainingPortalCount": 123,
"startedAt": 123,
"totalPortalCount": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}CRM cards
Migrate CRM card views
Swaps a Legacy CRM Card with an App Card in views. Reference the “Migrate a legacy CRM card to an app card” docs for more information
POST
/
crm
/
extensions
/
cards-dev
/
2026-03
/
{appId}
/
views
/
migrate
Migrate Card Views
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The appId of the app containing the Legacy CRM Card(s)
Body
application/json
Response
successful operation
A human readable message describing the progress of the migration.
The timestamp for when the migration ended.
The number of portals that remain to be swapped from the Legacy CRM Card to the App Card
The timestamp for when the migration started.
The total number of portals that have access to the Legacy CRM Card
Last modified on March 31, 2026
Was this page helpful?
⌘I